Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411030 - Review Request: switchboard - Modular Desktop Settings Hub
Summary: Review Request: switchboard - Modular Desktop Settings Hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-01-07 16:47 UTC by Fabio Valentini
Modified: 2017-11-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:25:40 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-07 16:47:39 UTC
Spec URL: https://raw.githubusercontent.com/decathorpe/fedora-packaging/9b242af45d18717342230c93c92f13bc43ccd1e3/specs/switchboard/switchboard.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/decathorpe/staging/fedora-25-x86_64/00496739-switchboard/switchboard-2.2.0-3.fc25.src.rpm

Description: Modular Desktop Settings Hub. This project is about the container app only and its library.

Fedora Account System Username: decathorpe


koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=17197359

COPR build for rawhide and f25: https://copr.fedorainfracloud.org/coprs/decathorpe/staging/build/496739/

This package was already available via my elementary-stable/nightly COPR repository.


Comment on the occurring "invalid-lc-messages-dir" rpmlint errors:
These errors don't seem to apply to fedora, since many already existing packages put translation files there (mainly those translated through launchpad/rosetta, I think).

Comment 1 Neal Gompa 2017-01-07 16:55:12 UTC
Taking this review.

Comment 2 Neal Gompa 2017-01-07 17:07:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown
     or generated", "GPL (v2 or later) (with incorrect FSF address)", "BSD
     (2 clause)", "LGPL (v2.1 or later)", "LGPL (v3)". 253 files have
     unknown license. Detailed output of licensecheck in
     /home/makerpm/1411030-switchboard/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/ckb/LC_MESSAGES,
     /usr/share/locale/rue
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/ckb/LC_MESSAGES
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     switchboard-devel , switchboard-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: switchboard-2.2.0-3.fc26.x86_64.rpm
          switchboard-devel-2.2.0-3.fc26.x86_64.rpm
          switchboard-debuginfo-2.2.0-3.fc26.x86_64.rpm
          switchboard-2.2.0-3.fc26.src.rpm
switchboard.x86_64: W: no-manual-page-for-binary switchboard
switchboard.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/switchboard.mo
switchboard.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/switchboard.mo
switchboard-devel.x86_64: W: only-non-binary-in-usr-lib
switchboard-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: switchboard-debuginfo-2.2.0-3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
switchboard-devel.x86_64: W: only-non-binary-in-usr-lib
switchboard-devel.x86_64: W: no-documentation
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libclutter-gtk-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libclutter-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libcogl-path.so.20
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libcogl-pango.so.20
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libcogl.so.20
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libwayland-egl.so.1
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libgbm.so.1
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libdrm.so.2
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libEGL.so.1
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXrandr.so.2
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libjson-glib-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libwayland-cursor.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libwayland-client.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libxkbcommon.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libwayland-server.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libX11.so.6
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXext.so.6
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXdamage.so.1
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXfixes.so.3
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXcomposite.so.1
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libXi.so.6
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libgtk-3.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libgdk-3.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libpangocairo-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libpango-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libatk-1.0.so.0
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libcairo-gobject.so.2
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libcairo.so.2
switchboard.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libswitchboard-2.0.so.2.0 /lib64/libgdk_pixbuf-2.0.so.0
switchboard.x86_64: W: no-manual-page-for-binary switchboard
switchboard.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/switchboard.mo
switchboard.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/switchboard.mo
3 packages and 0 specfiles checked; 2 errors, 32 warnings.



Requires
--------
switchboard-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libswitchboard-2.0.so.0()(64bit)
    pkgconfig(gee-0.8)
    pkgconfig(gio-2.0)
    pkgconfig(gio-unix-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(gmodule-2.0)
    pkgconfig(gtk+-3.0)
    switchboard(x86-64)

switchboard-debuginfo (rpmlib, GLIBC filtered):

switchboard (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.20()(64bit)
    libcogl-path.so.20()(64bit)
    libcogl.so.20()(64bit)
    libdbusmenu-glib.so.4()(64bit)
    libdee-1.0.so.4()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libswitchboard-2.0.so.0()(64bit)
    libunity.so.9()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
switchboard-devel:
    pkgconfig(switchboard-2.0)
    switchboard-devel
    switchboard-devel(x86-64)

switchboard-debuginfo:
    switchboard-debuginfo
    switchboard-debuginfo(x86-64)

switchboard:
    appdata()
    appdata(switchboard.appdata.xml)
    application()
    application(org.pantheon.switchboard.desktop)
    libswitchboard-2.0.so.0()(64bit)
    mimehandler(x-scheme-handler/settings)
    switchboard
    switchboard(x86-64)



Source checksums
----------------
https://launchpad.net/switchboard/2.x/2.2.0/+download/switchboard-2.2.0.tar.xz :
  CHECKSUM(SHA256) this package     : 510cb376cf1afc0198967d50f408738c0a891fde7b0126bc036d52fb7e4419cc
  CHECKSUM(SHA256) upstream package : 510cb376cf1afc0198967d50f408738c0a891fde7b0126bc036d52fb7e4419cc


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1411030 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2017-01-07 17:08:08 UTC
Aside from known issues, looks good to me!

PACKAGE APPROVED.

Comment 4 Gwyn Ciesla 2017-01-09 14:05:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/switchboard

Comment 5 Fedora Update System 2017-01-09 14:59:02 UTC
switchboard-2.2.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-658c6b97cf

Comment 6 Fedora Update System 2017-01-10 03:27:58 UTC
switchboard-2.2.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-658c6b97cf

Comment 7 Fedora Update System 2017-01-11 07:25:40 UTC
switchboard-2.2.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.